> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Provider

> Create a new provider, create a user in Firebase with a generated password, and optionally send them an invite email



## OpenAPI

````yaml post /admin/providers/invite
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/providers/invite:
    post:
      tags:
        - provider
        - admin
      summary: Invite Provider
      description: >-
        Create a new provider, create a user in Firebase with a generated
        password, and send them an invite email
      operationId: invite_provider_admin_providers_invite_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderInvite'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProviderInvite:
      properties:
        email:
          type: string
          format: email
          title: Email
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        firstName:
          type: string
          title: Firstname
        lastName:
          type: string
          title: Lastname
        roles:
          items:
            type: string
          type: array
          title: Roles
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
      type: object
      required:
        - email
        - firstName
        - lastName
        - roles
      title: ProviderInvite
    ProviderSummary:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          type: string
          title: Type
          description: Type of the user, fixed as 'provider'.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
          description: The user's external identifier if available.
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: The user's primary address.
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
          description: Additional address information.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city of the user's address.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: The state of the user's address.
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: The postal code of the user's address.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: The country of the user's address.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the user was created.
        addressValid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Addressvalid
          description: Whether the user's address is valid.
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
          description: Any additional metadata about the user relevant to your system.
        isArchived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isarchived
          description: Whether the user is archived.
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
          description: Primary location id of the provider.
        roles:
          items:
            $ref: '#/components/schemas/RoleSummary'
          type: array
          title: Roles
          description: List of roles associated with the provider.
        lastActive:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastactive
          description: Last active date of the provider.
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
          description: Bio of the provider.
        profileImage:
          anyOf:
            - type: string
            - type: 'null'
          title: Profileimage
          description: Profile image of the provider.
        hasGoogleCalendar:
          type: boolean
          title: Hasgooglecalendar
          description: Whether the provider has a Google Calendar.
          default: false
        nationalProviderIdentifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Nationalprovideridentifier
          description: National provider identifier of the provider.
        bookingCapacity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bookingcapacity
          description: Booking capacity of the provider.
        showIds:
          type: boolean
          title: Showids
          description: Whether to show IDs in the UI for this provider.
          default: false
        showWeekendsOnCalendar:
          type: boolean
          title: Showweekendsoncalendar
          description: Whether to show weekends on the calendar for this provider.
          default: true
        showCancelledAppointments:
          type: boolean
          title: Showcancelledappointments
          description: >-
            Whether to show cancelled appointments in the calendar for this
            provider.
          default: false
        showMessagesBox:
          type: boolean
          title: Showmessagesbox
          description: Whether to show the messages box in the UI for this provider.
          default: true
        startCalendarHour:
          anyOf:
            - type: integer
            - type: 'null'
          title: Startcalendarhour
          description: The start hour of the calendar for this provider.
        endCalendarHour:
          anyOf:
            - type: integer
            - type: 'null'
          title: Endcalendarhour
          description: The end hour of the calendar for this provider.
        sendGcalInvites:
          type: boolean
          title: Sendgcalinvites
          description: Whether to send Google Calendar invites.
          default: false
        calendarGridInterval:
          anyOf:
            - type: integer
            - type: 'null'
          title: Calendargridinterval
          description: Grid interval in minutes for calendar display.
        appointmentTimeStepMinutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Appointmenttimestepminutes
          description: >-
            Time step interval in minutes for appointment scheduling. If null,
            uses the smallest service duration.
        showTranslucentPastEvents:
          type: boolean
          title: Showtranslucentpastevents
          description: >-
            Whether to show translucent past events in the calendar for this
            provider.
          default: true
        showGhostEvent:
          type: boolean
          title: Showghostevent
          description: >-
            Whether to show ghost events on hover in the calendar for this
            provider.
          default: false
        autoSignOffNotes:
          type: boolean
          title: Autosignoffnotes
          description: Whether notes should automatically sign off when created.
          default: true
      type: object
      required:
        - id
        - type
        - createdDate
        - roles
      title: ProviderSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoleSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the role
        name:
          type: string
          title: Name
          description: Role name (e.g., 'admin', 'user', 'billing_manager')
        userType:
          $ref: '#/components/schemas/RoleType'
          description: Role type (ADMIN, PROVIDER, USER)
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the role was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the role was last updated
      type: object
      required:
        - id
        - name
        - userType
      title: RoleSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RoleType:
      type: string
      enum:
        - ADMIN
        - PROVIDER
        - USER
      title: RoleType

````